Bug 241851 - both arches (i386 and x86_64) of the same packages are installed by default
both arches (i386 and x86_64) of the same packages are installed by default
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-31 02:42 EDT by Vasiliy Kotikov
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-31 09:23:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Installation log (35.38 KB, application/octet-stream)
2007-05-31 02:42 EDT, Vasiliy Kotikov
no flags Details

  None (edit)
Description Vasiliy Kotikov 2007-05-31 02:42:14 EDT
Description of problem:
Installation of the RHEL 5 Server x86_64 installs by default rpm packages of two
archs:i386 and x86_64.

Version-Release number of selected component (if applicable):
example:
Installing glibc - 2.5-12.i686
Installing glibc - 2.5-12.x86_64
...
Installing gtk2 - 2.10.4-16.el5.i386
Installing gtk2 - 2.10.4-16.el5.x86_64

How reproducible:
Default installation without package customization.
  
Actual results:
two archs are installed

Expected results:
proper (one) arch of a package should be installed ?
Comment 1 Vasiliy Kotikov 2007-05-31 02:42:14 EDT
Created attachment 155782 [details]
Installation log
Comment 2 Jeremy Katz 2007-05-31 09:23:40 EDT
This is intentional; one of the major features of the x86_64 arch over other
64bit architectures is that you have full compatibility with x86.  We're just
enabling that support
Comment 3 Vasiliy Kotikov 2007-06-03 09:43:49 EDT
But how packages like this is installed?
Both packages esound-0.2.36-3.i386.rpm & esound-0.2.36-3.x86_64.rpm have
/usr/bin directory.
I have extrated rpms:
for i386
/esound/i386/usr/bin > ls -Al
total 116
-rwxr-xr-x 1 root root 43212 Jul 28  2006 esd
-rwxr-xr-x 1 root root  4860 Jul 28  2006 esdcat
-rwxr-xr-x 1 root root  9924 Jul 28  2006 esdctl
-rwxr-xr-x 1 root root  2019 Jul 28  2006 esddsp
-rwxr-xr-x 1 root root  5300 Jul 28  2006 esdfilt
-rwxr-xr-x 1 root root  5776 Jul 28  2006 esdloop
-rwxr-xr-x 1 root root  4728 Jul 28  2006 esdmon
-rwxr-xr-x 1 root root  4444 Jul 28  2006 esdplay
-rwxr-xr-x 1 root root  4840 Jul 28  2006 esdrec
-rwxr-xr-x 1 root root  7260 Jul 28  2006 esdsample

and for x86_64
/esound/x86_64/usr/bin > ls -Al
total 120
-rwxr-xr-x 1 root root 44760 Jul 28  2006 esd
-rwxr-xr-x 1 root root  6728 Jul 28  2006 esdcat
-rwxr-xr-x 1 root root 11440 Jul 28  2006 esdctl
-rwxr-xr-x 1 root root  2019 Jul 28  2006 esddsp
-rwxr-xr-x 1 root root  6784 Jul 28  2006 esdfilt
-rwxr-xr-x 1 root root  7304 Jul 28  2006 esdloop
-rwxr-xr-x 1 root root  6728 Jul 28  2006 esdmon
-rwxr-xr-x 1 root root  6712 Jul 28  2006 esdplay
-rwxr-xr-x 1 root root  6728 Jul 28  2006 esdrec
-rwxr-xr-x 1 root root  8928 Jul 28  2006 esdsample

But the binary file as installed in the system:
ls -Al /usr/bin/es*
-rwxr-xr-x 1 root root  1271 Nov 29  2006 /usr/bin/esc
-rwxr-xr-x 1 root root  9512 Oct  2  2006 /usr/bin/escp2topbm
-rwxr-xr-x 1 root root 51496 Jul 28  2006 /usr/bin/esd
-rwxr-xr-x 1 root root 10416 Jul 28  2006 /usr/bin/esdcat
-rwxr-xr-x 1 root root 15488 Jul 28  2006 /usr/bin/esdctl
-rwxr-xr-x 1 root root  2019 Jul 28  2006 /usr/bin/esddsp
-rwxr-xr-x 1 root root 10384 Jul 28  2006 /usr/bin/esdfilt
-rwxr-xr-x 1 root root 11080 Jul 28  2006 /usr/bin/esdloop
-rwxr-xr-x 1 root root 10080 Jul 28  2006 /usr/bin/esdmon
-rwxr-xr-x 1 root root 10136 Jul 28  2006 /usr/bin/esdplay
-rwxr-xr-x 1 root root 10472 Jul 28  2006 /usr/bin/esdrec
-rwxr-xr-x 1 root root 12776 Jul 28  2006 /usr/bin/esdsample

So as I see 3 files have different sizes. Which one the <esd> files was
installed and why the size of the package installed on x86_64 system has another
size?

Thank You

Note You need to log in before you can comment on or make changes to this bug.